import { createApp } from "vue";
import ElementPlus from "element-plus";
// import axios from 'axios'
import "element-plus/dist/index.css";
import "./assets/iconFont/iconfont.css";
import "./assets/iconFont/menu_iconfont.css";

import zhCn from 'element-plus/dist/locale/zh-cn.mjs'

import router from "./router";


import App from "./App.vue";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";

const app = createApp(App).use(router);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}
app.use(ElementPlus, {
    locale: zhCn,
});
app.mount("#app");
